package _VisualDVM.GlobalData.RemoteFile.UI;
import Common.Visual.Trees.DataTree;
import Common.Visual.Trees.TreeRenderers;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.Visual.UI;
public class RemoteFilesTree extends DataTree {
    public RemoteFilesTree() {
        super(UI.getRemoteFileChooser().root);
    }
    @Override
    public TreeRenderers getRenderer() {
        return TreeRenderers.RendererRemoteFile;
    }
    @Override
    public Current getCurrent() {
        return Current.RemoteFile;
    }
    @Override
    public void ShowCurrentObject() {
        UI.getRemoteFileChooser().ShowCurrentRemoteFile();
    }
    @Override
    public void LeftMouseAction2() {
        if (Global.mainModule.HasRemoteFile() && Global.mainModule.getRemoteFile().isDirectory()) {
            UI.getRemoteFileChooser().Refresh(Global.mainModule.getRemoteFile().full_name);
        }
    }
}
